Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.client
Class ReceiveSubscriber

    java.lang.Object
      org.apache.jmeter.protocol.jms.client.ReceiveSubscriber

All Implemented Interfaces:
  Runnable

public class ReceiveSubscriber
extends Object
implements Runnable

Receives messages in a separate thread until told to stop. Run loop permanently receives messages; the sampler calls reset() when it has taken enough messages.

Constructor Summary
`ReceiveSubscriber(boolean useProps, String jndi, String url, String connfactory, String topic, boolean useAuth, String user, String pwd)`

Method Summary
`void` | `close()` close() will stop the connection first.
`int` | `count(int increment)` Increment the count and return the new value
`byte[]` | `getByteResult()` Get the message(s) as an array of byte[]
`String` | `getMessage()` Get the message as a string
`void` | `reset()` Reset the receiver ready for receiving any further messages
`void` | `resume()` Resume will call Connection.start() and begin receiving messages from the JMS provider.
`void` | `run()` run calls listen to begin listening for inbound messages from the provider.
`void` | `setLoop(int loop)` Set the number of iterations for each call to sample()
`void` | `start()` start will create a new thread and pass this class. once the thread is created, it calls Thread.start().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiveSubscriber

    public ReceiveSubscriber(boolean useProps,
                             String jndi,
                             String url,
                             String connfactory,
                             String topic,
                             boolean useAuth,
                             String user,
                             String pwd)

Method Detail

### setLoop

    public void setLoop(int loop)

  Set the number of iterations for each call to sample()

  Parameters:
    `loop` -

### resume

    public void resume()

  Resume will call Connection.start() and begin receiving messages from the JMS provider.

### getMessage

    public String getMessage()

  Get the message as a string

### getByteResult

    public byte[] getByteResult()

  Get the message(s) as an array of byte[]

### close

    public void close()

  close() will stop the connection first. Then it closes the subscriber, session and connection.

### reset

    public void reset()

  Reset the receiver ready for receiving any further messages

### count

    public int count(int increment)

  Increment the count and return the new value

  Parameters:
    `increment` -

### start

    public void start()

  start will create a new thread and pass this class. once the thread is created, it calls Thread.start().

### run

    public void run()

  run calls listen to begin listening for inbound messages from the provider. Updates the count field so the caller can check how many messages have been receieved.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.